%global source_date_epoch_from_changelog nil
%global clamp_mtime_to_source_date_epoch 1

%global srcname vsjetpack
Name:           python-vapoursynth-%{srcname}
Version:        0.3.5
Release:        1%{?dist}
Summary:        Plugin for Vapoursynth: vsjetpack

License:        MIT-0
URL:            https://github.com/Jaded-Encoding-Thaumaturgy/%{srcname}
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz

Patch: 0001-Add-MANIFEST.ini.patch
Patch: 0002-vsjetpack-add-tox-config.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  vapoursynth-plugin-vszip
BuildRequires:  vapoursynth-plugin-vsakarin
BuildRequires:  zlib-devel
BuildRequires:  git-core

Requires: vapoursynth-plugin-vsakarin
Requires: vapoursynth-plugin-vszip
Requires: vapoursynth-plugin-resize2
Requires: vapoursynth-plugin-vsakarin
Requires: zlib

%global _description %{expand:
A Vapoursynth plugin: vsjetpack.}

%description %_description

%package -n python3-vapoursynth-%{srcname}
Summary: %{summary}
%description -n python3-vapoursynth-%{srcname} %{_description}

%prep
%autosetup -S git -n vs-jetpack-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest


%files -n python3-vapoursynth-%{srcname}
%{python3_sitelib}/%{srcname}*
%{python3_sitelib}/vstools
%{python3_sitelib}/vssource
%{python3_sitelib}/vsscale
%{python3_sitelib}/vsaa
%{python3_sitelib}/vsdeband
%{python3_sitelib}/vsdehalo
%{python3_sitelib}/vsdeinterlace
%{python3_sitelib}/vsdenoise
%{python3_sitelib}/vsexprtools
%{python3_sitelib}/vskernels
%{python3_sitelib}/vsmasktools
%{python3_sitelib}/vsrgtools
